GDCM: gdcm::network::ULConnection Class Reference

GDCM 3.2.5

Public Member Functions | Friends | List of all members
gdcm::network::ULConnection Class Reference

ULConnection. More...

`#include <gdcmULConnection.h>`

## Public Member Functions
| ULConnection (const ULConnection &)=delete
| ULConnection (const ULConnectionInfo &inUserInformation)
virtual | ~ULConnection ()
void | AddAcceptedPresentationContext (const PresentationContextAC &inPC)
PresentationContextRQ | FindContext (const DataElement &de) const
std::vector< PresentationContextAC > & | GetAcceptedPresentationContexts ()
std::vector< PresentationContextAC > const & | GetAcceptedPresentationContexts () const
const ULConnectionInfo & | GetConnectionInfo () const
uint32_t | GetMaxPDUSize () const
const PresentationContextAC * | GetPresentationContextACByID (uint8_t id) const
uint8_t | GetPresentationContextIDFromPresentationContext (PresentationContextRQ const &pc) const
| return 0 upon error
const PresentationContextRQ * | GetPresentationContextRQByID (uint8_t id) const
std::vector< PresentationContextRQ > const & | GetPresentationContexts () const
std::iostream * | GetProtocol ()
EStateID | GetState () const
ARTIMTimer & | GetTimer ()
bool | InitializeConnection ()
| used to establish scu connections
bool | InitializeIncomingConnection ()
| used to establish scp connections
void | operator= (const ULConnection &)=delete
void | SetMaxPDUSize (uint32_t inSize)
void | SetPresentationContexts (const std::vector< PresentationContext > &inContexts)
void | SetPresentationContexts (const std::vector< PresentationContextRQ > &inContexts)
void | SetState (const EStateID &inState)
void | StopProtocol ()

## Friends
class | ULActionAE6
class | ULConnectionManager

## Detailed Description

ULConnection.

This is the class that contains the socket to another machine, and passes data through itself, as well as maintaining a sense of state.

The ULConnectionManager tells the ULConnection what data can actually be sent.

This class is done this way so that it can be eventually be replaced with a ULSecureConnection, if such a protocol is warranted, so that all data that passes through can be managed through a secure connection. For now, this class provides a simple pass-through mechanism to the socket itself.

So, for instance, a gdcm object will be passes to this object, and it will then get passed along the connection, if that connection is in the proper state to do so.

For right now, this class is not directly intended to be inherited from, but the potential for future ULSecureConnection warrants the addition, rather than having everything be managed from within the ULConnectionManager (or this class) without a wrapper.

## Constructor & Destructor Documentation

## ◆ ULConnection() [1/2]

gdcm::network::ULConnection::ULConnection | ( | const ULConnectionInfo & | inUserInformation | ) |

Referenced by ULConnection(), and operator=().

## ◆ ~ULConnection()

virtual gdcm::network::ULConnection::~ULConnection | ( |  | ) |
| virtual

## ◆ ULConnection() [2/2]

gdcm::network::ULConnection::ULConnection | ( | const ULConnection & |  | ) |
| delete

References ULConnection().

## Member Function Documentation

## ◆ AddAcceptedPresentationContext()

void gdcm::network::ULConnection::AddAcceptedPresentationContext | ( | const PresentationContextAC & | inPC | ) |

## ◆ FindContext()

PresentationContextRQ gdcm::network::ULConnection::FindContext | ( | const DataElement & | de | ) | const

## ◆ GetAcceptedPresentationContexts() [1/2]

std::vector< PresentationContextAC > & gdcm::network::ULConnection::GetAcceptedPresentationContexts | ( |  | ) |

## ◆ GetAcceptedPresentationContexts() [2/2]

std::vector< PresentationContextAC > const & gdcm::network::ULConnection::GetAcceptedPresentationContexts | ( |  | ) | const

## ◆ GetConnectionInfo()

const ULConnectionInfo & gdcm::network::ULConnection::GetConnectionInfo | ( |  | ) | const

## ◆ GetMaxPDUSize()

uint32_t gdcm::network::ULConnection::GetMaxPDUSize | ( |  | ) | const

## ◆ GetPresentationContextACByID()

const PresentationContextAC * gdcm::network::ULConnection::GetPresentationContextACByID | ( | uint8_t | id | ) | const

## ◆ GetPresentationContextIDFromPresentationContext()

uint8_t gdcm::network::ULConnection::GetPresentationContextIDFromPresentationContext | ( | PresentationContextRQ const & | pc | ) | const

return 0 upon error

## ◆ GetPresentationContextRQByID()

const PresentationContextRQ * gdcm::network::ULConnection::GetPresentationContextRQByID | ( | uint8_t | id | ) | const

## ◆ GetPresentationContexts()

std::vector< PresentationContextRQ > const & gdcm::network::ULConnection::GetPresentationContexts | ( |  | ) | const

## ◆ GetProtocol()

std::iostream * gdcm::network::ULConnection::GetProtocol | ( |  | ) |

## ◆ GetState()

EStateID gdcm::network::ULConnection::GetState | ( |  | ) | const

## ◆ GetTimer()

ARTIMTimer & gdcm::network::ULConnection::GetTimer | ( |  | ) |

## ◆ InitializeConnection()

bool gdcm::network::ULConnection::InitializeConnection | ( |  | ) |

used to establish scu connections

## ◆ InitializeIncomingConnection()

bool gdcm::network::ULConnection::InitializeIncomingConnection | ( |  | ) |

used to establish scp connections

## ◆ operator=()

void gdcm::network::ULConnection::operator= | ( | const ULConnection & |  | ) |
| delete

References ULConnection().

## ◆ SetMaxPDUSize()

void gdcm::network::ULConnection::SetMaxPDUSize | ( | uint32_t | inSize | ) |

## ◆ SetPresentationContexts() [1/2]

void gdcm::network::ULConnection::SetPresentationContexts | ( | const std::vector< PresentationContext > & | inContexts | ) |

## ◆ SetPresentationContexts() [2/2]

void gdcm::network::ULConnection::SetPresentationContexts | ( | const std::vector< PresentationContextRQ > & | inContexts | ) |

## ◆ SetState()

void gdcm::network::ULConnection::SetState | ( | const EStateID & | inState | ) |

## ◆ StopProtocol()

void gdcm::network::ULConnection::StopProtocol | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ ULActionAE6

friend class ULActionAE6
| friend

References ULActionAE6.

Referenced by ULActionAE6.

## ◆ ULConnectionManager

friend class ULConnectionManager
| friend

References ULConnectionManager.

Referenced by ULConnectionManager.

The documentation for this class was generated from the following file:

- gdcmULConnection.h